libwpd: WP3TablesGroup Class Reference documentation

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# WP3TablesGroup Class Reference

`#include <WP3TablesGroup.h>`

Inheritance diagram for WP3TablesGroup:

List of all members.

## Public Member Functions
| WP3TablesGroup (WPXInputStream *input)
virtual | ~WP3TablesGroup ()
virtual void | _readContents (WPXInputStream *input)
virtual void | parse (WP3Listener *listener)
## Private Attributes
uint8_t | m_tableMode
uint32_t | m_offsetFromLeftEdge
uint32_t | m_topGutterSpacing
uint32_t | m_leftGutterSpacing
uint32_t | m_bottomGutterSpacing
uint32_t | m_rightGutterSpacing
uint8_t | m_numColumns
uint8_t | m_columnMode [32]
uint8_t | m_numberFormat [32]
uint32_t | m_columnWidth [32]
uint32_t | m_rightOffsetForDecimalAlign [32]
uint16_t | m_colSpan
uint16_t | m_rowSpan
RGBSColor | m_cellFillColor

## Constructor & Destructor Documentation

WP3TablesGroup::WP3TablesGroup | ( | WPXInputStream * | input | ) |

WP3TablesGroup::~WP3TablesGroup | ( |  | ) | `[virtual]`

## Member Function Documentation

void WP3TablesGroup::_readContents | ( | WPXInputStream * | input | ) | `[virtual]`

| Reimplemented from WP3VariableLengthGroup.

void WP3TablesGroup::parse | ( | WP3Listener * | listener | ) | `[virtual]`

| Implements WP3Part.

## Member Data Documentation

uint32_t WP3TablesGroup::m_bottomGutterSpacing`[private]`

RGBSColor WP3TablesGroup::m_cellFillColor`[private]`

uint16_t WP3TablesGroup::m_colSpan`[private]`

uint8_t WP3TablesGroup::m_columnMode[32]`[private]`

uint32_t WP3TablesGroup::m_columnWidth[32]`[private]`

uint32_t WP3TablesGroup::m_leftGutterSpacing`[private]`

uint8_t WP3TablesGroup::m_numberFormat[32]`[private]`

uint8_t WP3TablesGroup::m_numColumns`[private]`

uint32_t WP3TablesGroup::m_offsetFromLeftEdge`[private]`

uint32_t WP3TablesGroup::m_rightGutterSpacing`[private]`

uint32_t WP3TablesGroup::m_rightOffsetForDecimalAlign[32]`[private]`

uint16_t WP3TablesGroup::m_rowSpan`[private]`

uint8_t WP3TablesGroup::m_tableMode`[private]`

uint32_t WP3TablesGroup::m_topGutterSpacing`[private]`

The documentation for this class was generated from the following files:

- WP3TablesGroup.h
- WP3TablesGroup.cpp